Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_T.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_T.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_T.pro	(revision 2200)
@@ -0,0 +1,105 @@
+pro ts_mean_T, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+  @initorca2
+  
+  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
+;  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'
+  std_iodir_data = '/Users/sflod/idl_PLOTS/INTERAN/mercure/'
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, sEXP1+'_Temperature_mean.ps', portrait = 1
+  endif
+  
+  filename = std_iodir_climato+'data_1y_potential_temperature_nomask.nc'
+  Lev = read_ncdf('votemper', filename = filename, /nostruct )
+  Lev_xyz = moyenne(Lev, 'xyz')
+  Lev_z = moyenne(Lev, 'xy',/KEEPBOTTOM)
+
+  ts_Temp = 0.
+  ts_Temp_2 = 0.
+  ts_Temp_Lev = 0.
+  ts_Temp_Lev_2 = 0.
+  ts_Time = 0.
+  ts_z = fltarr(jpk)
+  ts_z_2 = fltarr(jpk)
+  
+  for year=year1,year2 do begin
+     
+     date1 = year * 10000L + 101L
+     date2 = year * 10000L + 1231L
+ 
+print,s_iodir_data
+
+     filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
+     filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)
+
+     if filename eq '' then stop 
+     Temp   = read_ncdf('thetao',date1 ,date2 , filename = filename, /nostruct)
+     Temp_2 = read_ncdf('thetao',date1 ,date2 , filename = filename2, /nostruct)
+     SSH    =  read_ncdf('zos',date1 ,date2 , filename = filename, /nostruct)
+     SSH_2  =  read_ncdf('zos',date1 ,date2 , filename = filename2, /nostruct)
+
+     ts_Temp = [ ts_Temp, moyenne(Temp, 'xyz',ssh = SSH) ]
+     ts_Temp_2 = [ ts_Temp_2, moyenne(Temp_2, 'xyz',ssh = SSH_2) ]
+     ts_Temp_Lev = [ ts_Temp_Lev, moyenne(Temp, 'xyz',ssh = SSH) - Lev_xyz ]
+     ts_Temp_Lev_2 = [ ts_Temp_Lev_2, moyenne(Temp_2, 'xyz',ssh = SSH_2) - Lev_xyz ]
+     ts_Time = [ ts_Time, Time] ; Time = date
+
+     ts_z = [ [ts_z], [moyenne(Temp, 'xy',/KEEPBOTTOM, ssh = SSH)- Lev_z] ]
+     ts_z_2 = [ [ts_z_2], [moyenne(Temp_2, 'xy',/KEEPBOTTOM, ssh = SSH_2)- Lev_z] ]
+
+  endfor
+
+  ts_Temp = ts_Temp[1:*]        ; remove first record of 0 
+  ts_Temp_2 = ts_Temp_2[1:*]        ; remove first record of 0
+  ts_Temp_Lev = ts_Temp_Lev[1:*] ; remove first record of 0
+  ts_Temp_Lev_2 = ts_Temp_Lev_2[1:*] ; remove first record of 0
+  ts_z = ts_z[*,1:*]             ; remove first record of 0
+  ts_z_2 = ts_z_2[*,1:*]             ; remove first record of 0
+  
+  Time = ts_Time[1:*]           ; remove first record of 0
+  jpt = n_elements(Time)
+  
+  title = sEXP1+' Global Annual Mean Temperature --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt, ts_Temp, 't', 1., 4.5, INTER = .5, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+       , small = [1,2,1], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+
+  title = sEXP1+' Global Annual Mean Temperature - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_Temp_Lev, 't', -1., 1., INTER = .25,  year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+       , small = [1,2,2], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /NOERASE, _extra = ex
+
+  ;;;;;;;;;;;;;;;;; new page  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+ERASE
+
+  title = sEXP1+' ZT-plot Temperature Mean (0-1500m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_z ,'zt', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
+       , small = [1,2,1], YTITLE='Deg C', TITLE = title, boxzoom = 1500., /NOERASE, _extra = ex
+  
+  title = sEXP1+' ZT-plot Temperature Mean (0-6000m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_z ,'zt', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
+       , small = [1,2,2], YTITLE='Deg C', TITLE = title, boxzoom = 6000., /NOERASE, _extra = ex
+  
+if sEXP2 ne sEXP1 then begin
+  
+ERASE
+ 
+   title = sEXP1+' - '+sEXP2+' Global Annual Mean Temperature --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+   pltt, ts_Temp - ts_Temp_2, 't', -1., 1., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+         , COLOR = 250, small = [1,2,1], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+   
+endif
+
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+  
+  
+  return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_U.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_U.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_U.pro	(revision 2200)
@@ -0,0 +1,77 @@
+pro ts_mean_U, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+ @initorca2
+ 
+ if max(glamt) gt 300 then testlam = abs(glamt - 300) else testlam = abs(glamt + 60)
+
+ testlat = abs(gphit + 30)
+
+ index=where(abs(testlam - min(testlam)) lt 1 and abs(testlat - min(testlat)) lt 1 )
+ xindex=index[0] mod jpi
+ yindex=index[0]/jpi
+
+ domdef, xindex, xindex+1, 0, yindex, 0, jpk-1, /index
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, sEXP1+'_U_mean.ps', portrait = 1
+ endif
+ 
+ ts_bbD = 0.
+ ts_bbD2 = 0.
+ ts_Time = 0.
+ 
+ for year=year1,year2 do begin
+    
+    date1 = year * 10000L + 101
+    date2 = year * 10000L + 1231
+    filename = getname(s_iodir_data,sEXP1,'1Y','grid_U',date1)
+    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_U',date1)
+
+    if filename eq '' then stop 
+    U = read_ncdf('uoce_eff',date1 ,date2 , filename = filename, /nostruct)
+    U2 = read_ncdf('uoce_eff',date1 ,date2 , filename = filename2, /nostruct)
+     
+    bb1 = bsf(U)
+    bb2 = bsf(U2)
+    bb1=bb1.arr[0,*]
+    bb2=bb2.arr[0,*]
+
+    bbDRAKE = bb1[nyt-1]-bb1[0]
+    bb2DRAKE = bb2[nyt-1]-bb2[0]
+
+    ts_bbD = [ ts_bbD, bbDRAKE ]
+    ts_bbD2 = [ ts_bbD2, bb2DRAKE ]
+    ts_Time = [ ts_Time, Time]  ; Time = date
+       
+ endfor
+ 
+ ts_bbD = ts_bbD[1:*]           ; remove first record of 0
+ ts_bbD2 = ts_bbD2[1:*]         ; remove first record of 0
+ Time = ts_Time[1:*]            ; remove first record of 0
+ 
+ jpt = n_elements(Time)
+
+ title = sEXP1+' DRAKE transport --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+ pltt,ts_bbD,'t', 0., 200., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+      , small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ 
+ if sEXP2 ne sEXP1 then begin
+    
+    title = sEXP1+' - '+sEXP2+' DRAKE transport --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+    pltt,ts_bbD - ts_bbD2,'t', -30., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
+        , COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+    
+ endif
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+ 
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_V.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_V.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_V.pro	(revision 2200)
@@ -0,0 +1,132 @@
+pro ts_mean_V, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+ @initorca2
+ 
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, sEXP1+'_V_mean.ps', portrait = 1
+ endif
+ 
+; inizialization of vectors (for experience 1 and 2) 
+ ts_mAMOC45 = 0.
+ ts_mAABW70 = 0.
+ ts_mAABC50 = 0.
+ ts_mAMOC45_2 = 0.
+ ts_mAABW70_2 = 0.
+ ts_mAABC50_2 = 0.
+
+ ts_Time = 0.
+ 
+ for year=year1,year2 do begin
+    
+    date1 = year * 10000L + 101
+    date2 = year * 10000L + 1231
+    filename = getname(s_iodir_data,sEXP1,'1Y','grid_V',date1)
+    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_V',date1)
+    
+    if filename eq '' then stop 
+    
+    domdef, 0, jpk-1,/zindex
+
+    V1 = read_ncdf('voce_eff',date1 ,date2 , filename = filename, /nostruct)
+    V2 = read_ncdf('voce_eff',date1 ,date2 , filename = filename2, /nostruct)
+    
+    msf_tot = msf(V1, indexboxzoom = ind)
+    msf2_tot = msf(V2, indexboxzoom = ind)
+    
+    yaxis = gphit[ind[0], ind[2]:ind[3]]
+ 
+; computation of max Atlatic Meridional Overturninc Circulation at 40°N and 50°N
+;;  see plot msf global
+    indy = where(yaxis gt 40 and yaxis le 50)
+    domdef, 0, 3500
+    
+    mAMOC45 = max(msf_tot.arr[indy, firstzw:lastzw],/NaN)
+    mAMOC45_2 = max(msf2_tot.arr[indy, firstzw:lastzw],/NaN)
+
+; computation of max atlantic Antarctic Bottom Water between 80°S and 65°S
+;; see plot msf global
+    indy = where(yaxis gt -80 and yaxis le -65)
+    domdef, 300, 3500
+    
+    mAABW70 = min(msf_tot.arr[indy, firstzw:lastzw],/NaN)
+    mAABW70_2 = min(msf2_tot.arr[indy, firstzw:lastzw],/NaN)
+
+;  computation of max Antarctic Abyssal Bottom Cell between 65°S and 30°N , 
+;; see plot msf global
+    indy = where(yaxis gt -65 and yaxis le 30)
+    domdef, 2500, 5000
+    
+    mAABC50 = min(msf_tot.arr[indy, firstzw:lastzw],/NaN)
+    mAABC50_2 = min(msf2_tot.arr[indy, firstzw:lastzw],/NaN)
+
+; creation of Time Series
+; for EXPERIENCE 1
+    ts_mAMOC45 = [ ts_mAMOC45, mAMOC45 ]
+    ts_mAABW70 = [ ts_mAABW70, mAABW70 ]
+    ts_mAABC50 = [ ts_mAABC50, mAABC50 ]
+
+; for EXPERIENCE 2
+    ts_mAMOC45_2 = [ ts_mAMOC45_2, mAMOC45_2 ]
+    ts_mAABW70_2 = [ ts_mAABW70_2, mAABW70 ]
+    ts_mAABC50_2 = [ ts_mAABC50_2, mAABC50 ]
+   
+    ts_Time = [ ts_Time, Time]  ; Time = date
+    
+ endfor
+
+ ts_mAMOC45 = ts_mAMOC45[1:*]   ; remove first record of 0
+ ts_mAABW70 = ts_mAABW70[1:*]   ; remove first record of 0
+ ts_mAABC50 = ts_mAABC50[1:*]   ; remove first record of 0
+ 
+ ts_mAMOC45_2 = ts_mAMOC45_2[1:*]   ; remove first record of 0
+ ts_mAABW70_2 = ts_mAABW70_2[1:*]   ; remove first record of 0
+ ts_mAABC50_2 = ts_mAABC50_2[1:*]   ; remove first record of 0
+
+ Time = ts_Time[1:*]            ; remove first record of 0
+ 
+ jpt = n_elements(Time)
+ 
+ title = sEXP1+' Max Atlantic MOC between 40N and 50N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+ pltt, ts_mAMOC45,'t', 0., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+      ,  small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ 
+ if sEXP2 ne sEXP1 then begin
+    title = sEXP1+' - '+sEXP2+' Max Atlantic MOC between 40N and 50N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+    pltt, ts_mAMOC45 - ts_mAMOC45_2,'t', -9., 9., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
+          ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ endif
+ 
+ title = sEXP1+' Max AntArctic Bottom Water between 80S and 65S --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+ pltt,-ts_mAABW70,'t', 0., 20., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+      , small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ 
+ if sEXP2 ne sEXP1 then begin 
+    title = sEXP1+' - '+sEXP2+' Max AntArctic Bottom Water between 80S and 65S --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+    pltt,-ts_mAABW70 + ts_mAABW70_2 ,'t', 0., 20., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
+         ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ endif
+ 
+ title = sEXP1+' Max AntArctic Bottom Cell between 65S and 30N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+ pltt,-ts_mAABC50,'t', 5., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+      ,  small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+
+ if sEXP2 ne sEXP1 then begin
+
+    title = sEXP1+' - '+sEXP2+' Max AntArctic Bottom Cell between 65S and 30N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+    pltt,-ts_mAABC50 + ts_mAABC50_2,'t', 5., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI,/NOERASE  $
+         ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
+ endif
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+ 
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_MARS.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_MARS.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_MARS.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_ANT_Icethick_MARS,  Ithi_mars_1, Ithi_mars_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+
+ compile_opt idl2, strictarrsubs
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '017_ANT_IceThick_MARS_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+                                ;
+ domdef,20,380,-50,-90
+                                ; 
+ title=sEXP1+' Antartic Ice Thickness MARS / year '+start_end
+
+ Ithi_mars_1.arr = Ithi_mars_1.arr < 1.
+ plt, Ithi_mars_1.arr - 1.E-04, MIN = 0., MAX = 1., INTER = 0.1 , STYLE = 'so0so',CELL_FILL = 2, /STRICTFILL $ 
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title  $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /PORTRAIT, _extra = ex
+
+ if sEXP1 ne sEXP2 then begin
+    
+    title=sEXP1+' - '+sEXP2+' Antartic Ice Thickness MARS / year '+start_end
+    plt, Ithi_mars_1.arr - Ithi_mars_2.arr, MIN = -1., MAX = 1., INTER = 0.1, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /NOERASE, _extra = ex
+    
+ endif
+ 
+ domdef
+
+ title = 'Antarctic Sea-ice Thickness'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/017_ANT_IceThick_MARS_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_SEPT.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_SEPT.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ANT_Icethick_SEPT.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_ANT_Icethick_SEPT,  Ithi_sept_1, Ithi_sept_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+
+ compile_opt idl2, strictarrsubs
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '017_ANT_IceThick_SEPT_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+                                ;
+ domdef,20,380,-50,-90
+                                ; 
+ title=sEXP1+' Antartic Ice Thickness SEPT / year '+start_end
+
+ Ithi_sept_1.arr = Ithi_sept_1.arr < 1.
+ plt, Ithi_sept_1.arr - 1.E-04, MIN = 0., MAX = 1., INTER = 0.1 , STYLE = 'so0so',CELL_FILL = 2, /STRICTFILL $ 
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title  $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /PORTRAIT, _extra = ex
+
+ if sEXP1 ne sEXP2 then begin
+    
+    title=sEXP1+' - '+sEXP2+' Antartic Ice Thickness SEPT / year '+start_end
+    plt, Ithi_sept_1.arr - Ithi_sept_2.arr, MIN = -1., MAX = 1., INTER = 0.1, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /NOERASE, _extra = ex
+    
+ endif
+ 
+ domdef
+
+ title = 'Antarctic Sea-ice Thickness'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/017_ANT_IceThick_SEPT_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_MARS.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_MARS.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_MARS.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro xxx_ARC_Icethick_MARS, Ithi_mars_1, Ithi_mars_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '016_ARC_IceThick_MARS_'+sEXP1+'_'+sEXP2+'y'+start_end+'.ps', portrait = 1
+ endif
+ 
+ domdef,20,380,55,90
+           
+ title=sEXP1+' Arctic Ice Thickness MARS/ year '+start_end
+
+ Ithi_mars_1.arr = Ithi_mars_1.arr < 6.
+ plt, Ithi_mars_1.arr - 1.E-04, MIN = 0., MAX = 6., INTER = 0.25 ,/STRICTFILL , CELL_FILL = 2, STYLE = 'so0so'  $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /PORTRAIT, _extra = ex
+ ;
+ if sEXP1 ne sEXP2 then begin            
+    title = sEXP1+' - '+sEXP2+' Arctic Ice Thickness / year '+start_end
+    plt, Ithi_mars_1.arr - Ithi_mars_2.arr, MIN = -3., MAX = 3., INTER = .5, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /NOERASE, _extra = ex
+    
+ endif                          ; end of 2
+ 
+ domdef
+
+ title = 'Arctic Sea-ice Thickness MARS'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/016_ARC_IceThick_MARS_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_SEPT.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_SEPT.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ARC_Icethick_SEPT.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro xxx_ARC_Icethick_SEPT, Ithi_sept_1, Ithi_sept_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '016_ARC_IceThick_SEPT_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+ domdef,20,380,55,90
+           
+ title=sEXP1+' Arctic Ice Thickness SEPT / year '+start_end
+
+ Ithi_sept_1.arr = Ithi_sept_1.arr < 6.
+ plt, Ithi_sept_1.arr - 1.E-04, MIN = 0., MAX = 6., INTER = 0.25 ,/STRICTFILL , CELL_FILL = 2, STYLE = 'so0so'  $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /PORTRAIT, _extra = ex
+ ;
+ if sEXP1 ne sEXP2 then begin            
+    title = sEXP1+' - '+sEXP2+' Arctic Ice Thickness SEPT / year '+start_end
+    plt, Ithi_sept_1.arr - Ithi_sept_2.arr, MIN = -3., MAX = 3., INTER = .5, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /NOERASE, _extra = ex
+    
+ endif                          ; end of 2
+ 
+ domdef
+
+ title = 'Arctic Sea-ice Thickness'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/016_ARC_IceThick_SEPT_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP1_S_ARC_z105.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP1_S_ARC_z105.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP1_S_ARC_z105.pro	(revision 2200)
@@ -0,0 +1,38 @@
+pro xxx_EXP1_S_ARC_z105, S1, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common 
+ compile_opt idl2, strictarrsubs
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '008_S_ARC_z105_'+sEXP1+'_y'+start_end+'.ps', portrait = 1
+ endif
+
+                                ; 
+ domdef,20,380,60,90
+                                ;
+ title=sEXP1+' Salinity 105 m'
+ plt, S1, MIN = 30.0, MAX = 35., INTER = 0.25, CELL_FILL = 2  $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title, CHARSIZE = -0.55, GLINETHICK = 2. $
+      , /ORTHO, MAP = [90,0,0], LATDEL = 5, boxzoom = [105., 106.], /PORTRAIT, _extra = ex
+                                ; 
+
+ title=sEXP1+' - Levitus Salinity 105 m / year '+start_end
+ plt, S1.arr-SLev.arr, MIN = -2., MAX = 2., INTER = 0.2, CELL_FILL = 2,  STYLE = 'so0so'  $     
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, CHARSIZE = -0.55, GLINETHICK = 2. $      
+      , /ORTHO, MAP = [90,0,0], LATDEL = 5, boxzoom = [105., 106.], /NOERASE, _extra = ex
+                                ;
+ domdef
+
+ title = 'Artic salinity at 105 meters'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/008_S_ARC_z105_'+sEXP1+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP2_S_ARC_z105.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP2_S_ARC_z105.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_EXP2_S_ARC_z105.pro	(revision 2200)
@@ -0,0 +1,47 @@
+pro xxx_EXP2_S_ARC_z105, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common 
+ compile_opt idl2, strictarrsubs
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '009_S_ARC_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+
+                                ; 
+ domdef,20,380,60,90
+                                ;
+ if sEXP1 ne sEXP2 then begin
+
+    title=sEXP1+' - '+sEXP2+' Salinity 105 m / year '+start_end
+    plt, S1.arr-S2.arr, MIN = -2., MAX = 2., INTER = 0.2, CELL_FILL = 2,  STYLE = 'so0so'  $     
+         , small = [1,2,1], COAST_THICK = 2, TITLE = title, CHARSIZE = -0.55, GLINETHICK = 2. $      
+         , /ORTHO, MAP = [90,0,0], LATDEL = 5, boxzoom = [105., 106.], /NOERASE, _extra = ex
+    
+ endif else begin
+    
+    title='Levitus Salinity 105 m'
+    plt, SLev.arr, MIN = 33., MAX = 35., INTER = 0.25 , CELL_FILL = 2 $ 
+         , small = [1,2,1], COAST_THICK = 2, TITLE = title, CHARSIZE = -0.55, GLINETHICK = 2. $ 
+         , /ORTHO, MAP = [90,0,0], LATDEL = 5, boxzoom = [105., 106.], _extra = ex
+ endelse
+                                ;
+ title=sEXP2+' - Levitus Salinity 105 m / year '+start_end
+ plt, S2.arr-SLev.arr, MIN = -2., MAX = 2., INTER = 0.2, CELL_FILL = 2,  STYLE = 'so0so'  $     
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, CHARSIZE = -0.55, GLINETHICK = 2. $      
+      , /ORTHO, MAP = [90,0,0], LATDEL = 5, boxzoom = [105., 106.], /NOERASE, _extra = ex
+                                ;
+ domdef
+;
+ title = 'Artic salinity at 105 meters'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/009_S_ARC_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Emp.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Emp.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Emp.pro	(revision 2200)
@@ -0,0 +1,32 @@
+pro xxx_Emp, EMP1, EMP2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ 
+  compile_opt idl2, strictarrsubs
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '002_Emp_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+  endif
+  
+  title=sEXP1+' Emp (mm/day) / year '+start_end
+  plt, EMP1,  MIN = -15., MAX = 15., INTER = 2.5 $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra=ex
+  
+if sEXP1 ne sEXP2 then begin
+
+  title=sEXP1+' - '+sEXP2+' / Emp year '+start_end
+  plt, EMP1-EMP2, MIN = -5., MAX = 5., INTER = 1. $
+       , small = [1,2,2], COAST_THICK = 2, TITLE = title,  /NOERASE, _extra=ex
+endif
+
+  title = 'Emp field'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/002_Emp_'+sEXP1+'_'+sEXP2+'_y '+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_S.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_S.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_S.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro xxx_Eq_S, S1, S2, SLev, sEXP1, sEXP2, start_end,  POSTSCRIPT = postscript, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+  S = S1.arr-S2.arr
+  sEXP = sEXP1+' - '+sEXP2
+  min =  -1.
+  max = -min
+  inter = .1
+  
+  if sEXP2 eq sEXP1 then begin
+     sEXP = sEXP1+' - Levitus' 
+     S = S1.arr-Slev.arr
+     min = -1.
+     max = -min
+     inter = .1
+  endif
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '021_Eq_S_'+sEXP+'_y'+start_end+'.ps', portrait = 1
+  endif
+                                ;
+  title = sEXP1+' Equatorial S  / year '+start_end
+  pltz, S1, MININ = 33., MAXIN = 37., INTER = .2, typein='xz'  $
+        , small=[1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], /PORTRAIT, _extra = ex
+                                ; 
+  title = sEXP+' Eq. S / year '+start_end
+  pltz, S, MININ = min, MAXIN = max, INTER = inter, typein = 'xz', STYLE = 'so0so' $
+        , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], /PORTRAIT, _extra = ex
+;                              
+  title = 'Equatorial differences with Levitus and '+sEXP+' of salinity'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/021_Eq_S_'+sEXP+'_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_T.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_T.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_T.pro	(revision 2200)
@@ -0,0 +1,42 @@
+pro xxx_Eq_T, T1, T2, TLev, sEXP1, sEXP2, start_end,  POSTSCRIPT = postscript, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+  T = T1.arr-T2.arr
+  sEXP = sEXP1+' - '+sEXP2
+  min =  -2.
+  max = -min
+  inter = .25
+  
+  if sEXP2 eq sEXP1 then begin
+     sEXP = sEXP1+' - Levitus'
+     T = T1.arr-TLev.arr
+     min = -4.
+     max = -min
+     inter = .5
+   endif
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '020_Eq_T_'+sEXP+'_y'+start_end+'.ps', portrait = 1
+  endif
+                                ;
+  title = sEXP1+' Equatorial T  / year '+start_end
+  pltz, T1, MININ = 2., MAXIN = 30., INTER = 1., typein = 'xz'  $
+        , small = [1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], /PORTRAIT, _extra = ex
+                                ; 
+ 
+  title = sEXP+' Eq. T / year '+start_end
+  pltz, T, MININ = min, MAXIN = max, INTER = inter, typein = 'xz', STYLE = 'so0so' $
+        , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], /NOERASE, _extra = ex
+                                ; 
+  title ='Equatorial differences with Levitus and '+sEXP+'of temperature'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/020_Eq_T_'+sEXP+'_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_U.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_U.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Eq_U.pro	(revision 2200)
@@ -0,0 +1,30 @@
+pro xxx_Eq_U, U1, U2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '022_Eq_U_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+  endif
+                                ;
+  title = sEXP1+' Equatorial U_zonal / year '+start_end
+  pltz, U1, MININ = -1., MAXIN = 1., INTER = .1, typein = 'xz', STYLE = 'so0so', UNIT = varunit $
+        , small = [1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], ZOOM = 500, /PORTRAIT, _extra = ex
+
+  if sEXP1 ne sEXP2 then begin
+                                ;
+     title = sEXP1+' - '+sEXP2+' U_zonal / year '+start_end
+     pltz, U1.arr-U2.arr, MININ = -.5, MAXIN = .5, INTER = .1, typein = 'xz', STYLE = 'so0so', UNIT = varunit $
+           , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [20., 380., -1., 1., 0., 500.], ZOOM = 500, /PORTRAIT, _extra = ex
+                                ;
+  endif
+  
+  title ='Equatorial differences with Levitus and '+sEXP2+'of zonal velocity U'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/021_Eq_U_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
